
--
-- Index pour les tables déchargées
--

--
-- Index pour la table `avionPeripetie`
--
ALTER TABLE `avionPeripetie`
  ADD PRIMARY KEY (`idAP`);

--
-- Index pour la table `avionpoeme`
--
ALTER TABLE `avionpoeme`
  ADD PRIMARY KEY (`idAvion`),
  ADD UNIQUE KEY `status_index` (`idAvion`),
  ADD KEY `expe_mail_index` (`expeMail`(40)),
  ADD KEY `dest_mail_index` (`destMail`(40)),
  ADD KEY `delivery_date_index` (`deliveryTime`);

--
-- Index pour la table `courriels`
--
ALTER TABLE `courriels`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `logs`
--
ALTER TABLE `logs`
  ADD PRIMARY KEY (`id_log`),
  ADD KEY `date_index` (`date`);

--
-- Index pour la table `peripeties`
--
ALTER TABLE `peripeties`
  ADD PRIMARY KEY (`idPeripetie`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `avionPeripetie`
--
ALTER TABLE `avionPeripetie`
  MODIFY `idAP` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `avionpoeme`
--
ALTER TABLE `avionpoeme`
  MODIFY `idAvion` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `courriels`
--
ALTER TABLE `courriels`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `logs`
--
ALTER TABLE `logs`
  MODIFY `id_log` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `peripeties`
--
ALTER TABLE `peripeties`
  MODIFY `idPeripetie` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
