
-- --------------------------------------------------------

--
-- Structure de la table `avionpoeme`
--

CREATE TABLE `avionpoeme` (
  `idAvion` int(10) UNSIGNED NOT NULL,
  `message` text CHARACTER SET utf8mb4 NOT NULL,
  `expeMail` text NOT NULL,
  `expeKnown` tinyint(1) NOT NULL DEFAULT '0' COMMENT ' true/false en fonction de si l''utilisateur choisi de devoiler son addresse mail pour la premiere',
  `expeLang` varchar(3) NOT NULL DEFAULT 'fr' COMMENT ' langue de l''envoyeur format 2 lettres (''en'',''fr'',''ar'')',
  `destLang` varchar(3) NOT NULL COMMENT 'langue du destinataire format 2 lettres (''en'',''fr'',''ar'')',
  `startLat` float NOT NULL,
  `startLon` float NOT NULL,
  `startName` text NOT NULL,
  `startTime` timestamp NOT NULL COMMENT 'unix time en TZ du depart',
  `startTZ` text CHARACTER SET utf8mb4 NOT NULL,
  `destMail` text NOT NULL,
  `destLat` float NOT NULL,
  `destLon` float NOT NULL,
  `destName` text NOT NULL,
  `public` tinyint(1) NOT NULL COMMENT '0 = privé 1=public, 2=supprimé',
  `color` varchar(9) NOT NULL COMMENT ' le code hexa de la couleur de l''avion aleatoire parmis la liste.',
  `deliveryTime` timestamp NOT NULL,
  `deliveryTZ` text NOT NULL,
  `deliveryTimeServer` timestamp NOT NULL,
  `deliveryMethod` text CHARACTER SET utf8mb4 NOT NULL,
  `atteri` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
