
-- --------------------------------------------------------

--
-- Structure de la table `peripeties`
--

CREATE TABLE `peripeties` (
  `idPeripetie` int(11) NOT NULL,
  `indexText` text NOT NULL COMMENT 'Contient l''index pour la traduction',
  `probabilite` decimal(5,1) UNSIGNED NOT NULL COMMENT 'en pourcentage',
  `effet` tinyint(11) NOT NULL COMMENT '-x => diminue la vitesse de l''avion de x, +x augmente la vitesse de l''avion de x, 0 => avion détruit',
  `quand` date DEFAULT NULL,
  `quand_fonction` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Déchargement des données de la table `peripeties`
--

INSERT INTO `peripeties` (`idPeripetie`, `indexText`, `probabilite`, `effet`, `quand`, `quand_fonction`) VALUES
(1, 'Peripetie_Perturbation', '20.0', 15, NULL, NULL),
(2, 'Peripetie_Vents_porteurs', '20.0', -15, NULL, NULL),
(3, 'Peripetie_Collision_Oiseau', '0.5', 0, NULL, NULL),
(4, 'Peripetie_OVNI', '0.5', 0, NULL, NULL),
(5, 'Peripetie_Drone', '0.5', 0, NULL, NULL),
(6, 'Peripetie_LogicielLibre', '100.0', 0, '2021-04-05', NULL),
(7, 'Peripetie_Poesie', '100.0', 0, '2022-03-21', NULL);
